#include "bsp_airsac.h"
#include "bsp_mos.h"
#include "bsp_moto.h"
void airsac_charge(airsac_num airsac)
{
	mos_union mos_data = {0};

	set_moto_out(1, 1001);
	mos_data.mos = MOS(airsac + 10);
	mos_set(mos_data);
}

void airsac_discharge(airsac_num airsac)
{
	mos_union mos_data = {0};
	set_moto_out(1, 0);
	mos_data.mos  = MOS(airsac);
	mos_set(mos_data);
}




void all_airsac_discharge(void)
{
	mos_union mos_data = {0};
	
	set_moto_out(1,0);
	mos_data.mos = ALL_PRESSURIZE_MOS;
	mos_set(mos_data);
		
}

void all_airsac_charge(void)
{
	mos_union mos_data = {0};
	
		set_moto_out(1, 1001);
		mos_data.mos = ALL_INLET_MOS;	
		mos_set(mos_data);
}


void airsac_stop(void)
{
	mos_union mos_data = {0};
		mos_data.mos = ~ALL_MOS;
		set_moto_out(1, 0);
}

